RULEXDB_REMOVE_RULE(3)

NAME
rulexdb_remove_rule - remove specified rule from the rulex database

SYNOPSIS
#include <rulexdb.h>

int rulexdb_remove_rule(RULEXDB *rulexdb, int rule_type, int position);

DESCRIPTION
The rulexdb_remove_rule() function removes a rule identified by its type and position in the ruleset from the rulex database referenced by rulexdb argument.

The argument rule_type specifies the rule type. It may accept one of the following values:

RULEXDB_LEXCLASS
    The rule is the word classifier and belongs to the Classifiers dataset.

RULEXDB_PREFIX
    The requested rule should be removed from the Prefix detectors ruleset.

RULEXDB_RULE
    The requested rule should be removed from the General rules dataset.

RULEXDB_CORRECTOR
    The rule is a correction rule that belongs to the Correctors dataset.

The argument position defines position of the requested rule in the ruleset.

RETURN VALUE
The rulexdb_remove_rule() function returns RULEXDB_SUCCESS which is zero when specified rule was successfully removed, positive value RULEXDB_SPECIAL when there is no rule with such number in specified ruleset, or negative error code otherwise.

ERRORS

RULEXDB_FAILURE
    Referenced database has not been opened, internal data structures are corrupted or some other general failure has occurred.

RULEXDB_EPARM
    The argument rulexdb or rule_type has an invalid value.

RULEXDB_EACCESS
    The database is not opened for updating.

SEE ALSO
rulexdb_classify(3), rulexdb_close(3), rulexdb_dataset_name(3), rulexdb_discard_dictionary(3), rulexdb_discard_ruleset(3), rulexdb_fetch_rule(3), rulexdb_lexbase(3), rulexdb_load_ruleset(3), rulexdb_open(3), rulexdb_remove_item(3), rulexdb_remove_this_item(3), rulexdb_retrieve_item(3), rulexdb_search(3), rulexdb_seq(3), rulexdb_subscribe_item(3), rulexdb_subscribe_rule(3)

AUTHOR
Igor B. Poretsky <poretsky@mlbox.ru>.